log4cplus::spi::LocaleFactory Class Referenceabstract

This abstract class defines the "Factory" interface to create std::locale instances. More...

`#include <factory.h>`

Inheritance diagram for log4cplus::spi::LocaleFactory:
[legend]
Collaboration diagram for log4cplus::spi::LocaleFactory:
[legend]

## Public Types

typedef std::locale | ProductType
typedef std::locale | ProductPtr

## Public Member Functions

| LocaleFactory ()
virtual | ~LocaleFactory ()=0
virtual ProductPtr | createObject (const log4cplus::helpers::Properties &props)=0
Public Member Functions inherited from log4cplus::spi::BaseFactory
virtual | ~BaseFactory ()=0
virtual log4cplus::tstring const & | getTypeName () const =0
| Returns the typename of the objects this factory creates.

## Detailed Description

This abstract class defines the "Factory" interface to create std::locale instances.

Definition at line 123 of file factory.h.

## Member Typedef Documentation

## ProductPtr

typedef std::locale log4cplus::spi::LocaleFactory::ProductPtr

Definition at line 128 of file factory.h.

## ProductType

typedef std::locale log4cplus::spi::LocaleFactory::ProductType

Definition at line 127 of file factory.h.

## Constructor & Destructor Documentation

## LocaleFactory()

log4cplus::spi::LocaleFactory::LocaleFactory | ( |  | ) |

## ~LocaleFactory()

virtual log4cplus::spi::LocaleFactory::~LocaleFactory | ( |  | ) |

pure virtual

## Member Function Documentation

## createObject()

virtual ProductPtr log4cplus::spi::LocaleFactory::createObject | ( | const log4cplus::helpers::Properties & | props | ) |

pure virtual

Returns
  std::locale instance

The documentation for this class was generated from the following file:

- factory.h